services:
  srs-sip:
    build:
      context: .
      network: host
      args:
        HTTP_PROXY: ${HTTP_PROXY:-}
        NO_PROXY: "localhost,127.0.0.1,::1"
    environment:
      # CANDIDATE: ${CANDIDATE:-}
      CANDIDATE: 192.168.2.184
      TZ: "Asia/Shanghai"
    volumes:
      - ./run/conf/config.yaml:/usr/local/srs-sip/config.yaml:ro
      - ./run/logs:/usr/local/srs-sip/logs
      - ./run/srs/conf/srs.conf:/usr/local/srs/conf/srs.conf:ro
      # use docker logs
      - ./run/srs/logs:/var/log/srs/
      # for recording
      - ./run/data:/data
    ports:
      # SRS RTMP
      - "1985:1985"
      # SRS media ingest (GB28181 RTP/PS 等，取决于你的配置)
      - "9000:9000"
      # SRS WebRTC
      - "8000:8000/udp"
      # SIP
      - "5060:5060"
      - "5060:5060/udp"
      # WebUI
      - "8025:8025"
    restart: unless-stopped
